﻿
@{
    ViewData["Title"] = "Hak Akses fitur Jabatan";
}

    <section class="section">
        <div class="section-header">
            <h1>Hak Akses (Role)</h1>
            <div class="section-header-breadcrumb">
                <div class="breadcrumb-item"><a href="#">Utility</a></div>
                <div class="breadcrumb-item active"><a href="#">Hak Akses Fitur</a></div>
            </div>
        </div>

        <div class="section-body">
            <div class="form-row">
                <div class="col-6">
                    <div class="card">
                        <div class="card-header form-row">
                            <h4 class="col-md-6">List Jabatan</h4>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table id="Table-Jabatan" class="table table-striped table-bordered table-hover table-striped nowrap"
                                       style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Id Jabatan</th>
                                            <th>Nama Jabatan</th>
                                            <th>Aksi</th>
                                        </tr>
                                    </thead>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-6">
                    <div class="card">
                        <div class="card-header">
                            <h4 id="HeaderBody"></h4>
                        </div>
                        <div class="card-body" id="CardBody">
                            <center id="ImgSearch">
                                <img src="~/assets/img/search.png" width="250px" />
                                <br /><br /><br /><br />
                            </center>
                            <form id="FormSetData" action="#" method="post" style="display:none;">
                                <input type="hidden" name="idJabatan" id="idJabatan" />
                                <div class="bootstrap-duallistbox-container form-row moveonselect moveondoubleclick">
                                    <div class="box1 col-md-6">
                                        <label class="col-form-label font-weight-bold" id="LabelNoAssign"></label>
                                        <div class="form-group" style="padding-bottom:0;margin-bottom:7px;"><button onClick="PilihSemua();" type="button" class="btn btn-info btn-block"><i class="fa fa-check-double"></i> Pilih Semua</button></div>
                                        <select multiple="multiple" class="form-control ComboSumber" style="height: 222px;">
                                        </select>
                                    </div>
                                    <div class="box2 col-md-6">
                                        <label class="col-form-label font-weight-bold" id="LabelAssign"></label>
                                        <div class="form-group" style="padding-bottom:0;margin-bottom:7px;"><button onClick="BatalPilihSemua();" type="button" class="btn btn-danger btn-block"><i class="fa fa-times"></i> Batal Pilih Semua</button></div>
                                        <select multiple="multiple" class="form-control ComboTerpilih" style="height: 222px;"></select>
                                    </div>
                                </div>
                                <br />
                                <button type="button" id="BtnSave" class="btn btn-success btn-block"><i class="fa fa-save"></i> Simpan Data</button>
                            </form>

                            <form id="FormRole" style="display:none;">
                                <div class="form-group form-row">
                                    <label class="col-form-label font-weight-bold col-md-4">Id Role</label>
                                    <input type="text" class="form-control col-md-8" name="IdRole" placeholder="Ketikkan Id Role..." />
                                </div>
                                <div class="form-group form-row">
                                    <label class="col-form-label font-weight-bold col-md-4">Role Name</label>
                                    <input type="text" class="form-control col-md-8" name="RoleName" placeholder="Ketikkan Nama Role..." />
                                </div>
                                <div class="form-group">
                                    <button type="button" class="btn btn-success btn-block" onclick="save_role();"><i class="fa fa-save"></i> Simpan Data</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>